Description

Grouping e.g. with a small indent of subprojects or a simple treeview like http://www.treemenu.net/.
an other simpler option would be custom sorting of my projects, e.g. the most important on top...

History

#1 - 2007-03-29 10:28 - Jeffrey Jones

Having a collapsable tree for subprojects would be very useful
when large numbers of projects exist. Would keep things
manageable.

Jeff

#2 - 2007-03-30 19:11 - Jean-Philippe Lang

Maybe the "My projects" list could be changed for a
drop down list that would fit in the top menu bar.

What do you think about it ?

#3 - 2007-03-31 05:30 - andreas juen

that's an option and would help a lot in comparison to the
current solution, but i would keep the tree in mind...

#4 - 2007-03-31 05:50 - Jean-Philippe Lang

An other solution could be to have a "My projects”
drop down menu in which subprojects would be subentries of
the main projects entries. Don't if it's clear...

This solution has the advantage to integrate well in the current
application design.

#5 - 2007-03-31 05:53 - andreas juen

that would be a very good solution!

#6 - 2007-03-31 08:06 - Jeffrey Jones

One of our manages commented that we will be importing data from
an older system so redMine could potentially have 50, 100, maybe
even 150 projects. A Dropdown to handle this would be extremely
large and probably flow off the bottom of the screen. This was

why a collaptasble HTML tree would be the best for us.

Or instead of a totally collapsible tree structure just list

the parent projects in the my project section and have the
sub-projects appear in a list using CSS Hover (Like with Suckerfish
dropdowns, example at: http://www.htmldog.com/articles/suckerfish
/example/).

| would be happy to do such work as it isn't particularly hard.

#7 - 2007-10-12 17:55 - Jean-Philippe Lang

Subprojects are grouped by project in the 'Jump to a project’
http://www.treemenu.net/
http://www.htmldog.com/articles/suckerfish

drop down list.
#8 - 2008-02-03 11:23 - Jean-Philippe Lang

- Subject changed from Group subproject to their main projects in the &amp;quot;my projects&amp;quot; field on the left to Group subproject to their
main projects in the "my projects” field on the left
